Bug 142182 - system id is not as defined in faq
system id is not as defined in faq
Status: CLOSED DUPLICATE of bug 139433
Product: Fedora
Classification: Fedora
Component: selinux-doc (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
http://fedora.redhat.com/docs/selinux...
:
Depends On:
Blocks: 118757
  Show dependency treegraph
 
Reported: 2004-12-07 17:49 EST by Rahul Sundaram
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:07:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2004-12-07 17:49:48 EST
Description of problem:


id -Z returns security context different from the faq


Steps to Reproduce:
1.switching to root user using su - root and typing id -Z returns
  
Actual results:
root:system_r:unconfined_t

Expected results:

I believe the results are correct because adding users gives the
expected security context as mentioned in the faq

Additional info:

1.3 resolving problems How can I create a new Linux user account with
the user's home directory having the proper context?
A:. 	

You can create your new user with the standard useradd command, but
first you must become root with a context of sysadm_r. This context
switch has been incorporated into the su command and occurs automatically:

su - root
id -Z
root:sysadm_r:sysadm_t"
              ^^^^^^^^

#id -Z
root:system_r:unconfined_t

This is actually unconfined_t under the default targetted policy in fc3

adding users works correctly

drwx------  auser    auser    root:object_r:user_home_dir_t    auser
Comment 1 Karsten Wade 2004-12-20 16:53:15 EST
Hope to get to these updates soon.  

*** This bug has been marked as a duplicate of 139433 ***
Comment 2 Red Hat Bugzilla 2006-02-21 14:07:36 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.